%global momorel 1
%global md5sum_src0 3a7a00e82ebeeb72a75a032f84c36c6c

Summary: Common Lisp (ANSI CL) implementation
Name: clisp
Version: 2.41a
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
%NoSource 0 ftp://ftp.gnu.org/pub/gnu/%{name}/release/2.41/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://clisp.cons.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: readline-devel >= 5.0
BuildRequires: libsigsegv-devel >= 2.2

%description
Common Lisp is a high-level, all-purpose, object-oriented, dynamic
programming language.  GNU CLISP is a Common Lisp implementation by
Bruno Haible of Karlsruhe University and Michael Stoll of Munich
University, both in Germany.  It mostly supports the Lisp described in
the ANSI Common Lisp standard.  It runs on microcomputers (OS/2,
Windows NT/2000/XP, Windows 95/98/ME, Amiga 500-4000, Acorn RISC PC)
as well as on Unix workstations (Linux, SVR4, Sun4, DEC Alpha OSF,
HP-UX, BeOS, NeXTstep, SGI, AIX, Sun3 and others) and needs only 2 MB
of RAM.

It is Free Software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial proprietary applications
compiled with GNU CLISP.

The user interface comes in English, German, French, Spanish, Dutch,
Russian and Danish, and can be changed at run time.  GNU CLISP
includes an interpreter, a compiler, a debugger, CLOS, MOP, a foreign
language interface, sockets, i18n, fast bignums and more.  An X11
interface is available through CLX, Garnet, CLUE/CLIO.  GNU CLISP runs
Maxima, ACL2 and many other Common Lisp packages.

%prep
%setup -q -n %{name}-2.41

%build
export LANG=C
# don't use %%configure
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--quiet \
	--fsstnd=redhat \
	--with-module=bindings/glibc \
	--with-module=clx/new-clx \
	--with-module=regexp \
	--with-export-syscalls

cd src
./makemake --with-readline --with-gettext --with-dynamic-ffi > Makefile
make config.lisp
make
make check
# make testsuite

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}
cd src
make install-bin install-man prefix=%{_prefix} libdir=%{_libdir} DESTDIR=%{buildroot}
# don't use 'make install-doc' or 'make install'

# still need to remove unwanted files... sigh.
rm -rf %{buildroot}%{_datadir}/doc/clisp

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYRIGHT GNU-GPL SUMMARY
%doc doc/ emacs/
%doc src/ChangeLog src/CodingStyle src/HISTORY src/NEWS src/TODO
%doc src/README src/README.de src/README.es
%doc src/clisp.html src/clisp.dvi src/clisp.ps src/clisp.pdf
%doc unix/INSTALL unix/MAGIC.add unix/PLATFORMS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/emacs/site-lisp/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}*.mo

%changelog
* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.41a-1m)
- update to 2.41a

* Sat Aug 19 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.39-1m)
- update to 2.39
- revise %%description, %%doc, configure options

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.38-1m)
- update to 2.38
- add BuildRequires: libsigsegv-devel >= 2.2

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.35-2m)
- rebuild against readline-5.0

* Fri Sep 23 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.35-1m)
- update 2.35

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.33.2-2m)
- enable x86_64.

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.33.2-1m)
- update to 2.33.2
- use %%NoSource

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.33-1m)
- version 2.33

* Tue Apr  6 2004 Toru Hoshina <t@momonga-linux.org>
- (2.31-3m)
- force LANG=C.

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.31-2m)
- revised spec for enabling rpm 4.2.

* Sun Oct 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31-1m)
- update to 2.31

* Sat Nov  9 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.30-1m)
- initial import.
